Substance
About Guides API
Classes
AbstractEditor AnnotationCommand Command Component Configurator ContainerSelection DOMElement DOMImporter Document DocumentNode EditAnnotationCommand EventEmitter InsertInlineNodeCommand PropertyAnnotation PropertySelection ProseEditor Selection TextNode TransactionDocument VirtualElement
Components
AnnotatedTextComponent AnnotationComponent AnnotationTool ContainerEditor EditLinkTool Layout Modal ScrollPane Scrollbar SplitPane Surface SwitchTextTypeTool TextPropertyComponent TextPropertyEditor Tool
Modules
documentHelpers platform
Factory
Class defined in util/Factory.js#9 inherits from
this.create(name)
Method defined in util/Factory.js#16

Create an instance of the clazz with a given name.

Parameters

name | String |

Returns

| A new instance.